<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#6e90e4;}
        .csVControl {width:220px;}
        .csVDocument {margin-left:220px;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody" onload="cswmMenuBarInit()" onresize="cswmRefresh()">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom HTML Content:</div>
                    <div class="csContent">
                        You can inject your own custom HTML into PanelBar using the <b>Group.HtmlAboveItems</b> and <b>Group.HtmlBelowItems</b> properties.<br />
                        <br />
                        As the property names imply, your custom HTML can be placed above or below the Item list.
                        If your Group contains no Items, then the custom HTML will be the only thing inside the Group.<br />
                        <br />
                        Write the custom HTML as you would any content that you are placing into a DIV element:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;Some Custom HTML&quot;);</div>
                        <br />
                        In this sample, the following three Groups are created:
                    </div>
                    <div class="csTitle">1. HTML Form:</div>
                    <div class="csContent">
                        This Group uses input elements in the <b>HtmlAboveItems</b> property to present a typical search field and an image in the <b>HtmlBelowItems</b> to provide a custom border:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;&lt;div style=&quot;display:inline-block;padding-top:10px;&quot;&gt;&lt;input type=&quot;text&quot; style=&quot;width:120px&quot; /&gt;&lt;/div&gt;&lt;div style=&quot;display:inline-block;padding-left:3px;&quot;&gt;&lt;input type=&quot;submit&quot; value=&quot;Go&quot; /&gt;&lt;/div&gt;&lt;div style=&quot;padding:3px;&quot;&gt;&lt;a href=&quot;#&quot;&gt;&lt;span style=&quot;font-size:11px;&quot;&gt;Advanced Search&lt;/span&gt;&lt;/a&gt;&lt;/div&gt;&quot;);</div>
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlBelowItems(&quot;&lt;div style=&quot;background-image:url('./images/panel_end.gif');height:2px;&quot;&gt;&lt;/div&gt;&quot;);</div>
                    </div>
                    <div class="csTitle">2. HTML and Items:</div>
                    <div class="csContent">
                        This Group uses custom gradient images in the <b>HtmlAboveItems</b> and <b>HtmlBelowItems</b> properties.
                        It also contains standard Item objects:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;&lt;div style=&quot;background-image:url('./images/panel_begin2.gif');height:20px;&quot;&gt;&lt;/div&gt;&quot;);</div>
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlBelowItems(&quot;&lt;div style=&quot;background-image:url('./images/panel_end2.gif');height:20px;&quot;&gt;&lt;/div&gt;&quot;);</div>
                    </div>
                    <div class="csTitle">3. Application Menu:</div>
                    <div class="csContent">
                        This Group places a popup menu in the <b>HtmlAboveItems</b> property and an image in the <b>HtmlBelowItems</b> to provide a custom border.
                        The popup menu was created using &quot;Coalesys WebMenu Studio&quot; and inserted into the PanelBar Group.
                        This demonstrates some of the potential that exists for integrating complex DHTML behaviors:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;&lt;div style=&quot;padding:2px 2px 0px 2px;&quot;&gt;&lt;script src=&quot;./includes/menu_loader.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;&lt;/div&gt;&quot;);</div>
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlBelowItems(&quot;&lt;div style=&quot;background-image:url('./images/panel_end.gif');height:2px;&quot;&gt;&lt;/div&gt;&quot;);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomHtmlContent
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
