<?php

// Creates and configures a new panelbar control
function CreatePanelBar($expandMode)
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#e7ebf0");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonBackgroundImage("./images/buttonbackground.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#3f577d");
    $PanelBar1->setButtonHeight(20);
    if ($expandMode == "1")
    {
        $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupContentHeight);
    }
    else if ($expandMode == "2")
    {
        $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::MultiGroupContentHeight);
    }
    $PanelBar1->setGroupSpacing(10);
    $PanelBar1->setGroupSpacingColor("#647896");
    $PanelBar1->setScrollDownActiveImage("./images/scrolldown_active.gif");
    $PanelBar1->setScrollDownDisabledImage("./images/scrolldown_disable.gif");
    $PanelBar1->setScrollDownEnabledImage("./images/scrolldown_enable.gif");
    $PanelBar1->setScrollUpActiveImage("./images/scrollup_active.gif");
    $PanelBar1->setScrollUpDisabledImage("./images/scrollup_disable.gif");
    $PanelBar1->setScrollUpEnabledImage("./images/scrollup_enable.gif");
    $PanelBar1->setWidth(120);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Knowledge Base");
    if ($expandMode == "2")
    {
        $cspbGroup->setExpanded(true);
    }

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Browse All");
    $cspbItem->setIconImage("./images/docfolder_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Latest Articles");
    $cspbItem->setIconImage("./images/csdocs_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("FAQ");
    $cspbItem->setIconImage("./images/question_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Search");
    $cspbItem->setIconImage("./images/magnify_32.gif");
    $cspbItem->setURL("#");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Communicate");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Discussion Forums");
    $cspbItem->setIconImage("./images/news_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Email Support");
    $cspbItem->setIconImage("./images/mail_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Live Chat");
    $cspbItem->setIconImage("./images/ear_32.gif");
    $cspbItem->setURL("#");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Download");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Latest Versions");
    $cspbItem->setIconImage("./images/downloadfolder_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Documentation");
    $cspbItem->setIconImage("./images/csdocs_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("MS HTML Help Update");
    $cspbItem->setIconImage("./images/help_32.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("MS Windows Installer");
    $cspbItem->setIconImage("./images/installer_32.gif");
    $cspbItem->setURL("#");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("White Papers");
    if ($expandMode == "2")
    {
        $cspbGroup->setExpanded(true);
    }

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Index");
    $cspbItem->setIconImage("./images/csdocs_32.gif");
    $cspbItem->setURL("#");

    $PanelBar1->getButtonFont()->setColor("#ffffff");
    $PanelBar1->getButtonFont()->setSize("12px");
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#ffffff");
    $PanelBar1->getButtonHoverFont()->setSize("12px");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");
    $PanelBar1->getItemFont()->setColor("#3f577d");
    $PanelBar1->getItemHoverFont()->setColor("#3f577d");

    return $PanelBar1;
}

?>
