<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $expandMode = "0";
    if (isset($_REQUEST["expandmode"]))
    {
        $expandMode = $_REQUEST["expandmode"];
    }
    $PanelBar1 = CreatePanelBar($expandMode);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#647896;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Expand Mode:</div>
                    <div class="csContent">
                        PanelBar has three types of expand/collapse behaviors available through the <b>PanelBar.ExpandMode</b> property.
                        These can be seen in the left pane by clicking each:
                        <div class="csIndent">
                            <a href="index.php">Single Group, Calculated Height</a> (default)<br />
                            <a href="index.php?expandmode=1">Single Group, Content Height</a><br />
                            <a href="index.php?expandmode=2">Multi-Group, Content Height</a>
                        </div>
                    </div>
                    <div class="csTitle">Single Group, Calculated Height:</div>
                    <div class="csContent">
                        One, and only one, Group is expanded.
                        Expanding a new Group will automatically collapse the current visible Group.<br />
                        <br />
                        The height of the PanelBar is always constant, no matter the height of the Group contents.
                        If the contents are shorter than the desired height, the PanelBar will stretch.
                        If the contents are taller than the desired height, the contents will clip and the scroll icons will automatically appear.
                        This setting also works with the <b>PanelBar.AutoSizeToFrame</b> property to create a full-frame &quot;Outlook Bar&quot; type of navigator.<br />
                        <br />
                        The following settings can be used to control the height:<br />
                        <br />
                        <div class="csComment">// Sets the overall height of the PanelBar control</div>
                        <div class="csCode">$PanelBar-&gt;setHeight(300);</div>
                        <br />
                        <div class="csComment">// Sets the minimum section height (the clipping region for the Items cannot be made smaller than this value)</div>
                        <div class="csCode">$PanelBar-&gt;setSectionHeight(32);</div>
                        <br />
                        When using this mode, set the <b>PanelBar.GroupSelected</b> property to the <b>Caption</b> or <b>index</b> value of the Group that should be expanded when the page loads.
                        If an invalid choice is made, the first Group will be expanded.<br />
                        <br />
                        For using the client-side JavaScript <b>cspbShowSection</b> function to perform this task:<br />
                        <br />
                        <div class="csComment">// Displays the second group in the sample</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection('Communicate');&quot;&gt;</div>
                        <br />
                        <div class="csComment">// Also displays the second group, using the zero-based index</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection(1);&quot;&gt;</div>
                    </div>
                    <div class="csTitle">Single Group, Content Height:</div>
                    <div class="csContent">
                        One, and only one, Group is expanded.
                        Expanding a new Group will automatically collapse the current visible Group.<br />
                        <br />
                        The height of the PanelBar changes to fit the height of the expanded Group contents.
                        No clipping will occur and scroll icons will never appear.<br />
                        <br />
                        When using this mode, set the <b>PanelBar.GroupSelected</b> property to the <b>Caption</b> or <b>index</b> value of the Group that should be expanded when the page loads.
                        If an invalid choice is made, the first Group will be expanded.<br />
                        <br />
                        For using the client-side JavaScript <b>cspbShowSection</b> function to perform this task:<br />
                        <br />
                        <div class="csComment">// Displays the second group in the sample</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection('Communicate');&quot;&gt;</div>
                        <br />
                        <div class="csComment">// Also displays the second group, using the zero-based index</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection(1);&quot;&gt;</div>
                    </div>
                    <div class="csTitle">Multi-Group, Content Height:</div>
                    <div class="csContent">
                        The visibility of each Group can be toggled independently by clicking on their buttons.<br />
                        <br />
                        The height of the PanelBar changes to fit the height of all the expanded Groups.
                        No clipping will occur and scroll icons will never appear.
                        This creates a Windows style side-bar navigator.<br />
                        <br />
                        When using this mode, set the <b>Group.Expanded</b> property to <b>true</b> for each Group that should expanded when the page loads.<br />
                        <br />
                        For using the client-side JavaScript <b>cspbShowSection</b> function to perform this task, you can pass in a dynamic number of parameters.
                        Each parameter represents a Group you want to expand:<br />
                        <br />
                        <div class="csComment">// Displays the first and fourth group in the sample</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection('Knowledge Base', 'White Papers');&quot;&gt;</div>
                        <br />
                        <div class="csComment">// Also displays the first and fourth group, using the zero-based index</div>
                        <div class="csCode">&lt;body onload=&quot;cspbShowSection(0, 3);&quot;&gt;</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ExpandMode
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
