<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar1();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);

    $PanelBar2 = CreatePanelBar2();
    $PanelBar2->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar2->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./ToggleButton.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        a {color:#c35f00;}
        .csBody {background-color:#647896;}
        .csDescription {border-width:0px;white-space:nowrap;}
        .csLeftPane {display:inline-block;margin-right:150px;vertical-align:top;white-space:normal;}
        .csRightPane {display:inline-block;margin-left:-150px;vertical-align:top;white-space:normal;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
        <?php echo $PanelBar2->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csLeftPane">
                        <div class="csTitle">Multiple Instances:</div>
                        <div class="csContent">
                            Multiple instances of PanelBar can be created on one page by setting the <b>GeneratedPrefix</b> property on each PanelBar control to a unique value.
                            By default, the setting is &quot;cspb&quot; (abbreviation for <b>C</b>oalesy<b>s</b> <b>P</b>anel<b>B</b>ar).<br />
                            <br />
                            In this sample, the following values are used:<br />
                            <br />
                            <div class="csCode">$PanelBar1->setGeneratedPrefix(&quot;cspb1&quot;);</div>
                            <div class="csCode">$PanelBar2->setGeneratedPrefix(&quot;cspb2&quot;);</div>
                            <br />
                            The value you set will be prefixed throughout the generated code and is used to avoid naming collisions between the HTML elements and the JavaScript code.
                            This will also change any documented client-side functions or variables which begin with &quot;cspb&quot;, like &quot;cspbShowSection&quot;.
                            Use the value that you have set for GeneratedPrefix in place of &quot;cspb&quot;.<br />
                            <br />
                            A shorter value for GeneratedPrefix also results in smaller output, and this can be used as a technique to compact the code further.
                            Beware of possible naming collisions with other code on the page if you choose a very short value.
                        </div>
                        <div class="csTitle">Control being used:</div>
                        <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                        <div class="csTitle">View the code:</div>
                        <div class="csIndent">
                            The code is available in the samples directory under:
                            <div class="csDirectory">
                                /BasicFeatures<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;/MultipleInstances
                            </div>
                        </div>
                    </div>
                    <div class="csRightPane"><?php echo $PanelBar2->GeneratePanelBar(0) ?></div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
