<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $scrollMode = "0";
    if (isset($_REQUEST["scrollmode"]))
    {
        $scrollMode = $_REQUEST["scrollmode"];
    }
    $PanelBar1 = CreatePanelBar($scrollMode);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csVControl {width:180px;}
        .csVDocument {margin-left:180px;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Scroll Mode:</div>
                    <div class="csContent">
                        PanelBar includes three ScrollBar behavior types when the Items within a Group are too large to fit.
                        These can be seen in the navigation pane by clicking each link below:
                        <div class="csIndent">
                            <a href="index.php">Custom Images, OnClick</a> (default)<br />
                            <a href="index.php?scrollmode=1">Custom Images, OnMouseOver</a><br />
                            <a href="index.php?scrollmode=2">Browser ScrollBar</a>
                        </div>
                    </div>
                    <div class="csTitle">Custom Images, OnClick:</div>
                    <div class="csContent">
                        The default mode.
                        Custom Images are used to represent the scroll buttons and their various states.
                        When clicked, the scroll behavior is activated.<br />
                        <br />
                        The following settings are used to set this mode, along with the optional custom images:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setScrollMode(Coalesys\PanelBar\ScrollModeConstants::CustomImagesOnClick);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownDisabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownEnabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpDisabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpEnabledImage(&quot;[your custom image]&quot;); </div>
                    </div>
                    <div class="csTitle">Custom Images, OnMouseOver:</div>
                    <div class="csContent">
                        Custom Images are used to represent the scroll buttons and their various states.
                        When the mouse passes over a scroll image, the scroll behavior is activated.
                        If clicked, the scrolling increases speed.<br />
                        <br />
                        The following settings are used to set this mode, along with the optional custom images:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setScrollMode(Coalesys\PanelBar\ScrollModeConstants::CustomImagesOnMouseOver);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownDisabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollDownEnabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpDisabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$PanelBar-&gt;setScrollUpEnabledImage(&quot;[your custom image]&quot;); </div>
                    </div>
                    <div class="csTitle">Browser ScrollBar:</div>
                    <div class="csContent">
                        The built-in scrollbar in the web browser is used.<br />
                        <br />
                        The following setting is used to set this mode:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ScrollMode
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
