<?php

// Creates and configures a new panelbar control
function CreatePanelBar($iconPosition)
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#222222");
    $PanelBar1->setBorderSize(1);
    $PanelBar1->setButtonBackgroundImage("./images/button.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#DCE4EF");
    $PanelBar1->setButtonHeight(18);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupContentHeight);
    if ($iconPosition == "1")
    {
        $PanelBar1->setIconPosition(Coalesys\PanelBar\IconPositionConstants::Below);
    }
    else if ($iconPosition == "2")
    {
        $PanelBar1->setIconHeight(16);
        $PanelBar1->setIconPosition(Coalesys\PanelBar\IconPositionConstants::Left);
        $PanelBar1->setIconWidth(16);
    }
    else if ($iconPosition == "3")
    {
        $PanelBar1->setIconHeight(16);
        $PanelBar1->setIconPosition(Coalesys\PanelBar\IconPositionConstants::Right);
        $PanelBar1->setIconWidth(16);
    }
    $PanelBar1->setOuterHighlightColor("#222222");
    $PanelBar1->setOuterShadowColor("#222222");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Features");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Overview");
    $cspbItem->setIconImage("./images/eye.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("How It Works");
    $cspbItem->setIconImage("./images/gear_teeth.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Benefits");
    $cspbItem->setIconImage("./images/plus.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Visual Editor");
    $cspbItem->setIconImage("./images/visual.gif");
    $cspbItem->setURL("#");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Requirements");
    $cspbItem->setIconImage("./images/check_box.gif");
    $cspbItem->setURL("#");

    $PanelBar1->getButtonFont()->setColor("#222222");
    $PanelBar1->getButtonFont()->setSize("12px");
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#222222");
    $PanelBar1->getButtonHoverFont()->setSize("12px");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");
    if ($iconPosition == "2")
    {
        $PanelBar1->getItemFont()->setAlignment("left");
    }
    else if ($iconPosition == "3")
    {
        $PanelBar1->getItemFont()->setAlignment("right");
    }
    $PanelBar1->getItemFont()->setPaddingLeft(10);
    $PanelBar1->getItemFont()->setPaddingRight(10);

    return $PanelBar1;
}

?>
