<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $groupSelected = "CPU Usage";
    if (isset($_COOKIE["groupSelected"]))
    {
        $groupSelected = $_COOKIE["groupSelected"];
    }
    $PanelBar1 = CreatePanelBar($groupSelected);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./Cookie.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csHeading {background-color:#9b4545;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Using Cookie:</div>
                    <div class="csContent">
                        You can persist the selected Group between page refresh/loading by setting the <b>PanelBar.GroupSelected</b> property based on a value from a Cookie.<br />
                        <br />
                        In this sample, each Group object has an <b>OnClick</b> property value that invokes a client-side JavaScript function.
                        This function handles the task of setting a Cookie each time a Group is selected.
                        The only parameter to this function is the Caption of the Group clicked:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setOnClick(&quot;SetCookie('CPU Usage')&quot;);</div>
                        <br />
                        The code above is for the first Group in the sample.
                        Alternatively, you could use the index of the Group instead of its Caption:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setOnClick(&quot;SetCookie(0)&quot;);</div>
                        <br />
                        Within the PHP page, the <b>PanelBar.GroupSelected</b> property is set from the value of this Cookie:<br />
                        <br />
                        <div class="csCode">$PanelBar1->setGroupSelected($cookieValue);</div>
                        <br />
                        In the event that the Cookie value is not available, the default Group configured will be displayed.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /StatePersistence<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/UsingCookie
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
