<?php
    include '../../../../Coalesys.PanelBar.php';
    include '../DirectoryPath.php';

    $currentDirectory = str_replace("index.php", "", $_SERVER["SCRIPT_FILENAME"]);
    $PanelBar1 = CreatePanelBar($currentDirectory);
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csHeading {background-color:#6d459b;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Using Directory Path:</div>
                    <div class="csContent">
                        This technique uses the PHP $_SERVER[&quot;SCRIPT_FILENAME&quot;] variable to obtain the current path.
                        It then examines the path to determine the <b>PanelBar.GroupSelected</b> property value.
                        This method is useful if the directory structure of your site closely mirrors the layout of the PanelBar control.<br />
                        <br />
                        There are several benefits achieved using this technique:<br />
                        <ul>
                            <li>Does not require Cookie usage</li>
                            <li>Does not add QueryString data to your URLs</li>
                            <li>Does not require client-side script</li>
                            <li>Promotes relationship between your directory structure and site navigation</li>
                        </ul>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /StatePersistence<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/UsingDirectoryPath
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
