<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./PanelBar.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Core Library Cache:</div>
                    <div class="csContent">
                        To reduce the size of the DHTML code rendered to your page, the PanelBar JavaScript code can be moved to an external *.js file.<br />
                        <br />
                        To accomplish this, you can remove the dynamically rendered JavaScript code from your page:<br />
                        <br />
                        <div class="csCode">&lt;script type=&quot;text/javascript&quot;&gt;</div>
                        <div class="csCode">&nbsp;&nbsp;&nbsp;&nbsp;&lt;%=PanelBar1-&gt;GenerateJavaScript(0)%&gt;</div>
                        <div class="csCode">&lt;/script&gt;</div>
                        <br />
                        Then, add the following code to your page to include a static version of the PanelBar JavaScript library:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./PanelBar.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        This library is included with this sample, and is cacheable by web browsers so it is only retrieved once when the initial page is loaded.<br />
                        <br />
                        If you use this approach, it is important to update this library whenever you deploy a new version or build of the PanelBar control.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /UsageTechniques<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CoreLibraryCache
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
