<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <script src="./PanelBar.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csSeparator {height:5px;}
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div><script src="./MyControl1.php" type="text/javascript"></script></div>
                <div class="csSeparator"></div>
                <div><script src="./MyControl2.php" type="text/javascript"></script></div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Multiple Instance Cache:</div>
                    <div class="csContent">
                        If you have multiple instances of the PanelBar control on your page, you can reduce the size of the DHTML code rendered by moving all the PanelBar related code to external *.js files.<br />
                        <br />
                        To accomplish this, you can remove all the dynamically rendered PanelBar code from your page, and place it into secondary pages that use the following:<br />
                        <br />
                        <div class="csCode">&lt;?php echo $PanelBarX-&gt;GenerateInstanceScript(0) ?&gt;</div>
                        <br />
                        This renders the PanelBar CSS Definitions and HTML Structure in a JavaScript compatible manner.
                        Several PHP Response properties are changed in these secondary pages to set the file type and caching options.<br />
                        <br />
                        Then, add the following code to your main page to include a static version of the PanelBar JavaScript library:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./PanelBar.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        This library is included with this sample, and is cacheable by web browsers so it is only retrieved once when the initial page is loaded.<br />
                        <br />
                        Finally, add the following code to your main page where you want a PanelBar control to appear:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./MyControlX.php&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        If you use this approach, it is important to update the PanelBar JavaScript library whenever you deploy a new version or build of the PanelBar control.
                    </div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /UsageTechniques<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/MultipleInstanceCache
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
